<?php 

	$product_industry_custom_style = '';

	// Logo Size
	$product_industry_logo_top_padding = get_theme_mod('product_industry_logo_top_padding');
	$product_industry_logo_bottom_padding = get_theme_mod('product_industry_logo_bottom_padding');
	$product_industry_logo_left_padding = get_theme_mod('product_industry_logo_left_padding');
	$product_industry_logo_right_padding = get_theme_mod('product_industry_logo_right_padding');

	if( $product_industry_logo_top_padding != '' || $product_industry_logo_bottom_padding != '' || $product_industry_logo_left_padding != '' || $product_industry_logo_right_padding != ''){
		$product_industry_custom_style .=' .logo {';
			$product_industry_custom_style .=' padding-top: '.esc_attr($product_industry_logo_top_padding).'px; padding-bottom: '.esc_attr($product_industry_logo_bottom_padding).'px; padding-left: '.esc_attr($product_industry_logo_left_padding).'px; padding-right: '.esc_attr($product_industry_logo_right_padding).'px;';
		$product_industry_custom_style .=' }';
	}

	$product_industry_logo_size = get_theme_mod('product_industry_logo_size');
	if( $product_industry_logo_size != '' ) {
		if($product_industry_logo_size >= 0 && $product_industry_logo_size <= 100) {
			$calculated_width = $product_industry_logo_size * 3.5;
			$product_industry_custom_style .= ' .custom-logo-link img {';
			$product_industry_custom_style .= ' width: ' . esc_attr($calculated_width) . 'px;';
			$product_industry_custom_style .= ' }';
		}
	}

	// Site Title Font Size
	$product_industry_site_title_font_size = get_theme_mod('product_industry_site_title_font_size');
	if( $product_industry_site_title_font_size != ''){
		$product_industry_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$product_industry_custom_style .=' font-size: '.esc_attr($product_industry_site_title_font_size).'px;';
		$product_industry_custom_style .=' }';
	}

	$product_industry_site_title_color = get_theme_mod('product_industry_site_title_color');
	if ( $product_industry_site_title_color != '') {
		$product_industry_custom_style .='h1.site-title a, p.site-title a {';
			$product_industry_custom_style .=' color:'.esc_attr($product_industry_site_title_color).';';
		$product_industry_custom_style .=' }';
	}

	// Site Tagline Font Size
	$product_industry_site_tagline_font_size = get_theme_mod('product_industry_site_tagline_font_size');
	if( $product_industry_site_tagline_font_size != ''){
		$product_industry_custom_style .=' p.site-description {';
			$product_industry_custom_style .=' font-size: '.esc_attr($product_industry_site_tagline_font_size).'px;';
		$product_industry_custom_style .=' }';
	}

	$product_industry_site_tagline_color = get_theme_mod('product_industry_site_tagline_color');
	if ( $product_industry_site_tagline_color != '') {
		$product_industry_custom_style .=' p.site-description {';
			$product_industry_custom_style .=' color:'.esc_attr($product_industry_site_tagline_color).';';
		$product_industry_custom_style .=' }';
	}

	//layout width
	$product_industry_boxfull_width = get_theme_mod('product_industry_boxfull_width');
	if ($product_industry_boxfull_width !== '') {
		switch ($product_industry_boxfull_width) {
			case 'container':
				$product_industry_custom_style .= ' body, #header, .bottom-header {
					max-width: 1140px;
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'container-fluid':
				$product_industry_custom_style .= ' body, #header, .bottom-header { 
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'none':
				// No specific width specified, so no additional style needed.
				break;
			default:
				// Handle unexpected values.
				break;
		}
	}

	//Menu animation
	$product_industry_dropdown_anim = get_theme_mod('product_industry_dropdown_anim');

	if ( $product_industry_dropdown_anim != '') {
		$product_industry_custom_style .=' .nav-menu ul ul {';
			$product_industry_custom_style .=' animation:'.esc_attr($product_industry_dropdown_anim).' 1s ease;';
		$product_industry_custom_style .=' }';
	}

	// Header Image
	$header_image_url = product_industry_banner_image( $image_url = '' );
	if( $header_image_url != ''){
		$product_industry_custom_style .=' #inner-pages-header {';
			$product_industry_custom_style .=' background-image: url('. esc_url( $header_image_url ).'); background-size: cover; background-repeat: no-repeat; background-attachment: fixed;';
		$product_industry_custom_style .=' }';
	} else {
		$product_industry_custom_style .=' #inner-pages-header {';
			$product_industry_custom_style .=' background: radial-gradient(circle at center, rgba(0,0,0,0) 0%, #000000 100%); ';
		$product_industry_custom_style .=' }';
	}

	$product_industry_slider_hide_show = get_theme_mod('product_industry_slider_hide_show',false);
	if( $product_industry_slider_hide_show == true){
		$product_industry_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$product_industry_custom_style .=' display:none;';
		$product_industry_custom_style .=' }';
	}

	//Topbar color
	$product_industry_topbar_text_color = get_theme_mod('product_industry_topbar_text_color');
	if ( $product_industry_topbar_text_color != '') {
		$product_industry_custom_style .=' p.topbar-text {';
			$product_industry_custom_style .=' color:'.esc_attr($product_industry_topbar_text_color).';';
		$product_industry_custom_style .=' }';
	}

	$product_industry_topbar_notext_color = get_theme_mod('product_industry_topbar_notext_color');
	if ( $product_industry_topbar_notext_color != '') {
		$product_industry_custom_style .=' .phone span ,phone a {';
			$product_industry_custom_style .=' color:'.esc_attr($product_industry_topbar_notext_color).';';
		$product_industry_custom_style .=' }';
	}

	$product_industry_topbar_icon_color = get_theme_mod('product_industry_topbar_icon_color');
	$product_industry_topbar_iconbg_color = get_theme_mod('product_industry_topbar_iconbg_color');

	if ( $product_industry_topbar_icon_color != '') {
		$product_industry_custom_style .=' .phone i {';
			$product_industry_custom_style .=' color:'.esc_attr($product_industry_topbar_icon_color).'; background-color:'.esc_attr($product_industry_topbar_iconbg_color).';';
		$product_industry_custom_style .=' }';
	}

	$product_industry_topbar_headerbg_color = get_theme_mod('product_industry_topbar_headerbg_color');
	if ( $product_industry_topbar_headerbg_color != '') {
		$product_industry_custom_style .=' #header, .main-header {';
			$product_industry_custom_style .=' background-color:'.esc_attr($product_industry_topbar_headerbg_color).';';
		$product_industry_custom_style .=' }';
	}

	//Slider color
	$product_industry_slider_title_font_size = get_theme_mod('product_industry_slider_title_font_size');
	if( $product_industry_slider_title_font_size != ''){
		$product_industry_custom_style .=' #slider h2 {';
			$product_industry_custom_style .=' font-size: '.esc_attr($product_industry_slider_title_font_size).'px;';
		$product_industry_custom_style .=' }';
	}

	$product_industry_slider_text_font_size = get_theme_mod('product_industry_slider_text_font_size');
	if( $product_industry_slider_text_font_size != ''){
		$product_industry_custom_style .=' #slider p {';
			$product_industry_custom_style .=' font-size: '.esc_attr($product_industry_slider_text_font_size).'px;';
		$product_industry_custom_style .=' }';
	}

	$product_industry_slider_opacity = get_theme_mod('product_industry_slider_opacity');
	if ( $product_industry_slider_opacity != '') {
		$product_industry_custom_style .=' .sliderimg img {';
			$product_industry_custom_style .=' opacity:'.esc_attr($product_industry_slider_opacity).';';
		$product_industry_custom_style .=' }';
	}

	$product_industry_slidertitle_color = get_theme_mod('product_industry_slidertitle_color');
	if ( $product_industry_slidertitle_color != '') {
		$product_industry_custom_style .=' #slider h2 a {';
			$product_industry_custom_style .=' color:'.esc_attr($product_industry_slidertitle_color).';';
		$product_industry_custom_style .=' }';
	}

	$product_industry_slidertext_color = get_theme_mod('product_industry_slidertext_color');
	if ( $product_industry_slidertext_color != '') {
		$product_industry_custom_style .=' #slider p {';
			$product_industry_custom_style .=' color:'.esc_attr($product_industry_slidertext_color).';';
		$product_industry_custom_style .=' }';
	}

	$product_industry_sliderbtn_color = get_theme_mod('product_industry_sliderbtn_color');
	$product_industry_sliderbtnbg_color = get_theme_mod('product_industry_sliderbtnbg_color');
	if ( $product_industry_sliderbtn_color != '') {
		$product_industry_custom_style .=' #slider a.read-btn {';
			$product_industry_custom_style .=' color:'.esc_attr($product_industry_sliderbtn_color).'; background-color:'.esc_attr($product_industry_sliderbtnbg_color).';';
		$product_industry_custom_style .=' }';
	}

	$product_industry_sliderbtnicon_color = get_theme_mod('product_industry_sliderbtnicon_color');
	$product_industry_sliderbtniconbg_color = get_theme_mod('product_industry_sliderbtniconbg_color');
	if ( $product_industry_sliderbtnicon_color != '') {
		$product_industry_custom_style .=' #slider a.read-btn i {';
			$product_industry_custom_style .=' color:'.esc_attr($product_industry_sliderbtnicon_color).'; background-color:'.esc_attr($product_industry_sliderbtniconbg_color).';';
		$product_industry_custom_style .=' }';
	}

	$product_industry_slidernp_color = get_theme_mod('product_industry_slidernp_color');
	$product_industry_slidernpbg_color = get_theme_mod('product_industry_slidernpbg_color');
	if ( $product_industry_slidernp_color != '') {
		$product_industry_custom_style .=' #slider .carousel-control-prev-icon i, #slider .carousel-control-next-icon i {';
			$product_industry_custom_style .=' color:'.esc_attr($product_industry_slidernp_color).'; background-color:'.esc_attr($product_industry_slidernpbg_color).';';
		$product_industry_custom_style .=' }';
	}

	//Feature color
	$product_industry_service_img_size = get_theme_mod('product_industry_service_img_size');
	if( $product_industry_service_img_size != ''){
		$product_industry_custom_style .=' #service-section img {';
			$product_industry_custom_style .=' width: '.esc_attr($product_industry_service_img_size).'px; height: '.esc_attr($product_industry_service_img_size).'px;';
		$product_industry_custom_style .=' }';
	}

	$product_industry_feature_icon_size = get_theme_mod('product_industry_feature_icon_size');
	if( $product_industry_feature_icon_size != ''){
		$product_industry_custom_style .=' .feature-icon i {';
			$product_industry_custom_style .=' font-size: '.esc_attr($product_industry_feature_icon_size).'px;';
		$product_industry_custom_style .=' }';
	}

	$product_industry_feature_font_size = get_theme_mod('product_industry_feature_font_size');
	if( $product_industry_feature_font_size != ''){
		$product_industry_custom_style .=' .feature-box h3 {';
			$product_industry_custom_style .=' font-size: '.esc_attr($product_industry_feature_font_size).'px;';
		$product_industry_custom_style .=' }';
	}

	$product_industry_feature_text_font_size = get_theme_mod('product_industry_feature_text_font_size');
	if( $product_industry_feature_text_font_size != ''){
		$product_industry_custom_style .=' .feature-box p {';
			$product_industry_custom_style .=' font-size: '.esc_attr($product_industry_feature_text_font_size).'px;';
		$product_industry_custom_style .=' }';
	}

	$product_industry_featureicon_color = get_theme_mod('product_industry_featureicon_color');
	if ( $product_industry_featureicon_color != '') {
		$product_industry_custom_style .=' .feature-icon i {';
			$product_industry_custom_style .=' color:'.esc_attr($product_industry_featureicon_color).';';
		$product_industry_custom_style .=' }';
	}

	$product_industry_featureiconbg_color = get_theme_mod('product_industry_featureiconbg_color');
	if ( $product_industry_featureiconbg_color != '') {
		$product_industry_custom_style .=' .feature-icon {';
			$product_industry_custom_style .=' background-color:'.esc_attr($product_industry_featureiconbg_color).';';
		$product_industry_custom_style .=' }';
	}

	$product_industry_featuretitle_color = get_theme_mod('product_industry_featuretitle_color');
	if ( $product_industry_featuretitle_color != '') {
		$product_industry_custom_style .=' .feature-box h3 a {';
			$product_industry_custom_style .=' color:'.esc_attr($product_industry_featuretitle_color).';';
		$product_industry_custom_style .=' }';
	}

	$product_industry_featuretext_color = get_theme_mod('product_industry_featuretext_color');
	if ( $product_industry_featuretext_color != '') {
		$product_industry_custom_style .=' .feature-box p {';
			$product_industry_custom_style .=' color:'.esc_attr($product_industry_featuretext_color).';';
		$product_industry_custom_style .=' }';
	}

	$product_industry_featurelink_color = get_theme_mod('product_industry_featurelink_color');
	if ( $product_industry_featurelink_color != '') {
		$product_industry_custom_style .=' .feature-box p a {';
			$product_industry_custom_style .=' color:'.esc_attr($product_industry_featurelink_color).';';
		$product_industry_custom_style .=' }';
	}

	$product_industry_featurebg_color = get_theme_mod('product_industry_featurebg_color');
	if ( $product_industry_featurebg_color != '') {
		$product_industry_custom_style .=' .feature-box {';
			$product_industry_custom_style .=' background-color:'.esc_attr($product_industry_featurebg_color).';';
		$product_industry_custom_style .=' }';
	}

	//Service color
	$product_industry_servicesecbg_color = get_theme_mod('product_industry_servicesecbg_color');
	if ( $product_industry_servicesecbg_color != '') {
		$product_industry_custom_style .=' #service-section {';
			$product_industry_custom_style .=' background-color:'.esc_attr($product_industry_servicesecbg_color).';';
		$product_industry_custom_style .=' }';
	}

	$product_industry_section_title_font_size = get_theme_mod('product_industry_section_title_font_size');
	if( $product_industry_section_title_font_size != ''){
		$product_industry_custom_style .=' #service-section h3 {';
			$product_industry_custom_style .=' font-size: '.esc_attr($product_industry_section_title_font_size).'px;';
		$product_industry_custom_style .=' }';
	}

	$product_industry_service_color = get_theme_mod('product_industry_service_color');
	if ( $product_industry_service_color != '') {
		$product_industry_custom_style .=' #service-section h3 {';
			$product_industry_custom_style .=' color:'.esc_attr($product_industry_service_color).';';
		$product_industry_custom_style .=' }';
	}

	$product_industry_servicetitle_color = get_theme_mod('product_industry_servicetitle_color');
	if ( $product_industry_servicetitle_color != '') {
		$product_industry_custom_style .=' #service-section .service-content h4 a {';
			$product_industry_custom_style .=' color:'.esc_attr($product_industry_servicetitle_color).';';
		$product_industry_custom_style .=' }';
	}

	$product_industry_servicetext_color = get_theme_mod('product_industry_servicetext_color');
	if ( $product_industry_servicetext_color != '') {
		$product_industry_custom_style .=' #service-section .service-content p {';
			$product_industry_custom_style .=' color:'.esc_attr($product_industry_servicetext_color).';';
		$product_industry_custom_style .=' }';
	}

	$product_industry_servicebg_color = get_theme_mod('product_industry_servicebg_color');
	if ( $product_industry_servicebg_color != '') {
		$product_industry_custom_style .=' #service-section .service-content {';
			$product_industry_custom_style .=' background-color:'.esc_attr($product_industry_servicebg_color).';';
		$product_industry_custom_style .=' }';
	}

	$product_industry_servicebtn_color = get_theme_mod('product_industry_servicebtn_color');
	$product_industry_servicebtnbg_color = get_theme_mod('product_industry_servicebtnbg_color');

	if ( $product_industry_servicebtn_color != '') {
		$product_industry_custom_style .=' #service-section .service-content a.service-btn {';
			$product_industry_custom_style .='color:'.esc_attr($product_industry_servicebtn_color).'; background-color:'.esc_attr($product_industry_servicebtnbg_color).';';
		$product_industry_custom_style .=' }';
	}

	$product_industry_servicebtn_icon_color = get_theme_mod('product_industry_servicebtn_icon_color');
	$product_industry_servicebtn_iconbg_color = get_theme_mod('product_industry_servicebtn_iconbg_color');

	if ( $product_industry_servicebtn_icon_color != '') {
		$product_industry_custom_style .=' #service-section .service-content a.service-btn i {';
			$product_industry_custom_style .='color:'.esc_attr($product_industry_servicebtn_icon_color).'; background-color:'.esc_attr($product_industry_servicebtn_iconbg_color).';';
		$product_industry_custom_style .=' }';
	}

	//footer css
	$product_industry_footer_copy_font_size = get_theme_mod('product_industry_footer_copy_font_size');
	if( $product_industry_footer_copy_font_size != ''){
		$product_industry_custom_style .=' .site-info p, .site-info a {';
			$product_industry_custom_style .=' font-size: '.esc_attr($product_industry_footer_copy_font_size).'px;';
		$product_industry_custom_style .=' }';
	}

	$product_industry_footer_widgets_color = get_theme_mod('product_industry_footer_widgets_color');
	if ( $product_industry_footer_widgets_color != '') {
		$product_industry_custom_style .=' .site-footer h2.widget-title {';
			$product_industry_custom_style .=' color:'.esc_attr($product_industry_footer_widgets_color).';';
		$product_industry_custom_style .=' }';
	}

	$product_industry_footer_widgets_menus_color = get_theme_mod('product_industry_footer_widgets_menus_color');
	if ( $product_industry_footer_widgets_menus_color != '') {
		$product_industry_custom_style .=' .widget ul li a, .site-footer .widget-area ul li a, .site-footer .widget-area ul li a {';
			$product_industry_custom_style .=' color:'.esc_attr($product_industry_footer_widgets_menus_color).';';
		$product_industry_custom_style .=' }';
	}

	$product_industry_copyright_color = get_theme_mod('product_industry_copyright_color');
	if ( $product_industry_copyright_color != '') {
		$product_industry_custom_style .=' .site-info p, .site-info a {';
			$product_industry_custom_style .=' color:'.esc_attr($product_industry_copyright_color).';';
		$product_industry_custom_style .=' }';
	}

	$product_industry_copyrightbg_color = get_theme_mod('product_industry_copyrightbg_color');
	if ( $product_industry_copyrightbg_color != '') {
		$product_industry_custom_style .=' .copyright {';
			$product_industry_custom_style .=' background-color:'.esc_attr($product_industry_copyrightbg_color).';';
		$product_industry_custom_style .=' }';
	}

	$product_industry_footerbg_color = get_theme_mod('product_industry_footerbg_color');
	if ( $product_industry_footerbg_color != '') {
		$product_industry_custom_style .=' .footer-overlay {';
			$product_industry_custom_style .=' background-color:'.esc_attr($product_industry_footerbg_color).';';
		$product_industry_custom_style .=' }';
	}